Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.pageeditor.ParagraphEditingMgr Class Reference
Inheritance diagram for com.foxit.sdk.addon.pageeditor.ParagraphEditingMgr:

## Public Member Functions
| ParagraphEditingMgr (ParagraphEditingMgr other)
| Constructor, with another paragraph edit manager object. More...
| ParagraphEditingMgr (ParagraphEditingProviderCallback callback, PDFDoc document) throws com.foxit.sdk.PDFException
| Constructor. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
JoinSplit | getJoinSplit () throws com.foxit.sdk.PDFException
| Get the join split object. More...
ParagraphEditing | getParagraphEditing () throws com.foxit.sdk.PDFException
| Get the paragraph edit object. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
void | setSystemDPI (float horizontal_dpi, float vertical_dpi) throws com.foxit.sdk.PDFException
| Set the dpi for the paragraph editing provider used. More...

## Detailed Description

This class represents a paragraph editing manager used for editing PDF page.

User can call the function ParagraphEditingMgr.getParagraphEditing to get current ParagraphEditing object in the process of using edit page. User can call the function ParagraphEditingMgr.getJoinSplit to get current JoinSplit object in the process of using edit page.

See also
  ParagraphEditing
  JoinSplit

## Constructor & Destructor Documentation

## ◆ ParagraphEditingMgr() [1/2]

com.foxit.sdk.addon.pageeditor.ParagraphEditingMgr.ParagraphEditingMgr | ( | ParagraphEditingProviderCallback | callback,
|  | PDFDoc | document
| ) |  | throws com.foxit.sdk.PDFException

Constructor.

Parameters

  [in] | callback | A valid paragraph editing provider callback object.
  [in] | document | A valid PDF document object.

## ◆ ParagraphEditingMgr() [2/2]

com.foxit.sdk.addon.pageeditor.ParagraphEditingMgr.ParagraphEditingMgr | ( | ParagraphEditingMgr | other | ) |

Constructor, with another paragraph edit manager object.

Parameters

  [in] | other | Another paragraph edit manager object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.pageeditor.ParagraphEditingMgr.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

Reimplemented from com.foxit.sdk.common.Base.

## ◆ getJoinSplit()

JoinSplit com.foxit.sdk.addon.pageeditor.ParagraphEditingMgr.getJoinSplit | ( |  | ) | throws com.foxit.sdk.PDFException

Get the join split object.

Returns
  The JoinSplit object.

## ◆ getParagraphEditing()

ParagraphEditing com.foxit.sdk.addon.pageeditor.ParagraphEditingMgr.getParagraphEditing | ( |  | ) | throws com.foxit.sdk.PDFException

Get the paragraph edit object.

Returns
  The ParagraphEditing object.

## ◆ isEmpty()

boolean com.foxit.sdk.addon.pageeditor.ParagraphEditingMgr.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ setSystemDPI()

void com.foxit.sdk.addon.pageeditor.ParagraphEditingMgr.setSystemDPI | ( | float | horizontal_dpi,
|  | float | vertical_dpi
| ) |  | throws com.foxit.sdk.PDFException

Set the dpi for the paragraph editing provider used.

Parameters

  [in] | horizontal_dpi | A horizontal dpi for paragraph editing provider. It should be greater than 0.Default Value:96.
  [in] | vertical_dpi | A vertical dpi for paragraph editing provider. It should be greater than 0. Default Value:96.

Returns
  None.